{***********************************************************************}
{*                            BGIInst.Pas                              *}
{*                             Version 1.0                             *}
{*                 Copyright (C) by SoftWeyr    , 1991                 *}
{*                   樠樨 䨪                    *}
{*                           CGA, EGA  VGA                            *}
{*          ᯥ稢 ⮬  EGAVGA.BGI            *}
{*          , ᫨ 室 - CGA.BGI  襩 ணࠬ             *}
{***********************************************************************}
{
      㪠   uses  graph.tpu
  ᫥ ⮣,    ᤥ, 楤 InitGraph 뢠
   ࠬ஢   㯭 ६
      GraphDriver -  ⥪饣 ᪮ ࠩ
      GraphMode -  ⥪饣 ᪮ ०
      GraphStringHeight -  1/25 ࠭  ᥫ
                                                          }
{$DEFINE UseCGA}
{   ।饩 ப  "{"  "$" ᫨  , 
 ⮡ CGA.BGI    襩 ணࠬ}
unit bgiinst;
interface
uses graph;
Var GraphDriver,GraphMode:integer;
    GraphStringHeight:byte;
Const BGIFontPath:String[79]='';
{᫨    ६  ⠫, ᮤঠ饣 䠩 CHR  맮
 InitGraph,   㤥 易 ࠭  䠩  ⥪饬 ⠫}
procedure initgraph;
{$IFDEF UseCGA}
procedure initcga;
{$ENDIF}
procedure SetGraphMode(Mode:integer);
implementation
procedure InitGraph;
begin
 DetectGraph(GraphDriver,GraphMode);
{$IFDEF UseCGA}
 if GraphDriver=CGA then
  GraphMode:=CGaHi;
{$ENDIF}
 Graph.InitGraph(GraphDriver,GraphMode,BGIFontPath);
 GraphStringHeight:=(GetMaxY+1)div 25;
end;
{$IFDEF UseCGA}
procedure InitCGA;
begin
 GraphDriver:=CGA;
 GraphMode:=CGAHi;
 Graph.initGraph(GraphDriver,GraphMode,'');
 GraphStringHeight:=8;
end;
{$ENDIF}
procedure SetGraphMode(Mode:integer);
begin
 Graph.SetGraphMode(Mode);
 GraphStringHeight:=(GetMaxY+1)div 25;
end;

var i:integer;
{$IFDEF UseCGA}
procedure CGADrv;external;
 {$L CGA.OBJ}
{$ENDIF}
procedure EGAVGA;External;
{$L EGA.obj}
begin
 DetectGraph(GraphDriver,GraphMode);
 if GraphDriver=-2 then
  begin
   Writeln('Graphic Card not found');
   halt;
  end;
  if 
  {$IFDEF UseCGA}    
  (GraphDriver<>CGA)and
  {$ENDIF}
   (GraphDriver<>EGA)and(GraphDriver<>EGA64)and
    (GraphDriver<>EGAMono)and(GraphDriver<>VGA) then
  begin
   Writeln('Unsupported Graphic Card');
   halt
  end;
  i:=RegisterBGIDriver(@EgaVga);
{$IFDEF USeCGA}
  i:=RegisterBGIDriver(@CGADrv);
{$ENDIF}
end.
